View Issue Details

IDProjectCategoryView StatusLast Update
0016392LazarusIDEpublic2010-05-11 10:34
ReporterGraeme GeldenhuysAssigned ToPaul Ishenin 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSUbuntu LinuxOS Version8.04.2
Product Version0.9.29 (SVN)Product Buildr25080 
Target VersionFixed in Version0.9.29 (SVN) 
Summary0016392: Target output filename is ignored
DescriptionI created a simple Free Pascal Application (basic console app). I set the target output filename to 'cgitest.cgi', and saved the settings. When I compiled the project, I got a output file or 'cgitest' without the extension. Going to project options and clicking on "Show Options" button, you can clearly see the -o parameter is wrong. See attached image.

Yet another regression bug, because this used to work in a older lazarus build I had. I should really refrain from upgrading my Lazarus IDE - I simply don't learn from my mistakes. :-/
TagsNo tags attached.
Fixed in Revision
LazTarget-
Widgetset
Attached Files

Activities

2010-05-03 09:15

 

Screenshot.png (16,195 bytes)
Screenshot.png (16,195 bytes)

2010-05-03 09:33

 

testproject.tar.gz (1,387 bytes)

Graeme Geldenhuys

2010-05-03 09:34

reporter   ~0037182

I thought maybe quiting Lazarus IDE, and reloading the project will help, but no, that made no difference. I attached the project files to this bug report.

Graeme Geldenhuys

2010-05-04 09:59

reporter   ~0037231

Last edited: 2010-05-04 10:00

It seems the recent code change by Mattias (2010-05-03), fixed this issues. I tested with r25169 and it seems ok now. This issue can be closed, thanks.

Paul Ishenin

2010-05-04 10:06

manager   ~0037232

Thanks for reporting.

Issue History

Date Modified Username Field Change
2010-05-03 09:15 Graeme Geldenhuys New Issue
2010-05-03 09:15 Graeme Geldenhuys File Added: Screenshot.png
2010-05-03 09:33 Graeme Geldenhuys File Added: testproject.tar.gz
2010-05-03 09:34 Graeme Geldenhuys Note Added: 0037182
2010-05-04 09:59 Graeme Geldenhuys Note Added: 0037231
2010-05-04 10:00 Graeme Geldenhuys Note Edited: 0037231
2010-05-04 10:06 Paul Ishenin LazTarget => -
2010-05-04 10:06 Paul Ishenin Status new => resolved
2010-05-04 10:06 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2010-05-04 10:06 Paul Ishenin Resolution open => fixed
2010-05-04 10:06 Paul Ishenin Assigned To => Paul Ishenin
2010-05-04 10:06 Paul Ishenin Note Added: 0037232
2010-05-11 10:34 Graeme Geldenhuys Status resolved => closed